Bug 184971 - New port: net-p2p/litecoin-daemon A slave port for the headless daemon
Summary: New port: net-p2p/litecoin-daemon A slave port for the headless daemon
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-18 16:40 UTC by Chad Jacob Milios
Modified: 2014-01-01 18:00 UTC (History)
0 users

See Also:


Attachments
file.shar (763 bytes, text/plain)
2013-12-18 16:40 UTC, Chad Jacob Milios
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chad Jacob Milios 2013-12-18 16:40:00 UTC
This is a slave port of net-p2p/litecoin so as to allow litecoin-qt and litecoind to easily coexist on a system.

Fix: see attached shar

Patch attached with submission follows:
Comment 1 Steve Wills freebsd_committer 2013-12-21 02:28:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

I'll take it.
Comment 2 dfilter service freebsd_committer 2014-01-01 17:54:33 UTC
Author: swills
Date: Wed Jan  1 17:54:26 2014
New Revision: 338384
URL: http://svnweb.freebsd.org/changeset/ports/338384

Log:
  Slave port of net-p2p/litecoin so as to allow litecoin-qt and litecoind to
  easily coexist on a system.
  
  PR:		ports/184971
  Submitted by:	"Chad J. Milios" <milios@ccsys.com>

Added:
  head/net-p2p/litecoin-daemon/
  head/net-p2p/litecoin-daemon/Makefile   (contents, props changed)
Modified:
  head/net-p2p/Makefile

Modified: head/net-p2p/Makefile
==============================================================================
--- head/net-p2p/Makefile	Wed Jan  1 17:52:49 2014	(r338383)
+++ head/net-p2p/Makefile	Wed Jan  1 17:54:26 2014	(r338384)
@@ -52,6 +52,7 @@
     SUBDIR += linux-jigdo
     SUBDIR += linuxdcpp
     SUBDIR += litecoin
+    SUBDIR += litecoin-daemon
     SUBDIR += lopster
     SUBDIR += microdc2
     SUBDIR += minder

Added: head/net-p2p/litecoin-daemon/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-p2p/litecoin-daemon/Makefile	Wed Jan  1 17:54:26 2014	(r338384)
@@ -0,0 +1,9 @@
+# $FreeBSD$
+
+PKGNAMESUFFIX=	-daemon
+COMMENT=	Virtual Peer-to-Peer Currency Software
+MASTERDIR=	${.CURDIR}/../litecoin
+DESCR=		${MASTERDIR}/pkg-descr
+SLAVE_PORT=	yes
+OPTIONS_EXCLUDE=	GUI QRCODES
+.include "${MASTERDIR}/Makefile"
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Steve Wills freebsd_committer 2014-01-01 17:55:04 UTC
State Changed
From-To: open->closed

New port added. Thanks!